Bug 15129 - Definition of timer_t is non-conforming
Summary: Definition of timer_t is non-conforming
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 04:51 UTC by Rich Felker
Modified: 2014-06-13 18:51 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rich Felker 2013-02-10 04:51:46 UTC
POSIX requires all types specified in sys/types.h to have arithmetic type, except for a list of exceptions which does not include timer_t. See:

http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/sys_types.h.html

I suspect this is a mistake in POSIX, since there is no good reason for timer_t to have arithmetic type; it probably should have been on the exception list with other opaque handle types and attribute types. Thus, I've also opened an issue report on the Austin Group tracker:

http://austingroupbugs.net/view.php?id=659

requesting that timer_t be added to the exceptions.

Until the issue is resolved, I hope this bug report will remain open on the glibc tracker.
Comment 1 Rich Felker 2013-08-07 16:17:28 UTC
The conflict with POSIX was fixed in POSIX, so I consider this bug resolved.